Bug 1788785 - Unable to set/modify optimistic-change-log for replicate volumes
Summary: Unable to set/modify optimistic-change-log for replicate volumes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On: 1787554
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 05:43 UTC by Ravishankar N
Modified: 2020-01-09 13:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1787554
Environment:
Last Closed: 2020-01-09 13:22:50 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23976 0 None Merged afr: expose cluster.optimistic-change-log to CLI. 2020-01-09 13:22:49 UTC

Description Ravishankar N 2020-01-08 05:43:43 UTC
+++ This bug was initially created as a clone of Bug #1787554 +++

Description of problem:
Unable to change cluster.optimistic-change-log for AFR volumes.
Found during a discussion on https://github.com/gluster/glusterfs/issues/781#issuecomment-570059216

Version-Release number of selected component (if applicable):
I see that it has not been exposed to 'gluster volume set` even in AFR-v1 (glusterfs-3.5). I don't think it was intentional. Even disperse(EC) volumes have it available to the volume set CLI. Hence sending a patch for AFR also.

--- Additional comment from Worker Ant on 2020-01-03 11:47:17 UTC ---

REVIEW: https://review.gluster.org/23960 (afr: expose cluster.optimistic-change-log to CLI.) posted (#1) for review on master by Ravishankar N

--- Additional comment from Worker Ant on 2020-01-07 18:15:44 UTC ---

REVIEW: https://review.gluster.org/23960 (afr: expose cluster.optimistic-change-log to CLI.) merged (#3) on master by Amar Tumballi

Comment 1 Worker Ant 2020-01-08 05:45:57 UTC
REVIEW: https://review.gluster.org/23976 (afr: expose cluster.optimistic-change-log to CLI.) posted (#1) for review on release-7 by Ravishankar N

Comment 2 Worker Ant 2020-01-09 13:22:50 UTC
REVIEW: https://review.gluster.org/23976 (afr: expose cluster.optimistic-change-log to CLI.) merged (#2) on release-7 by Rinku Kothiya


Note You need to log in before you can comment on or make changes to this bug.